View Issue Details

IDProjectCategoryView StatusLast Update
0001654NoesisGUIC# SDKpublic2020-06-11 18:29
ReporterstonstadAssigned Tosfernandez 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.0 
Target Version3.0.2Fixed in Version3.0.2 
Summary0001654: DropShadowEffect Side Effect
DescriptionI am seeing a secondary shadow effect that does not have the expected angle or placement. See screenshot. I tried moving DropShadowEffect up and down the hierarchy without success.
TagsNo tags attached.
PlatformAny

Relationships

related to 0001655 resolvedsfernandez DropShadowEffect And Visual Corruption w/ Virtualizing Container 

Activities

stonstad

stonstad

2020-04-10 18:31

reporter  

effect.PNG (16,479 bytes)
effect.PNG (16,479 bytes)
Example.xaml (1,472 bytes)
sfernandez

sfernandez

2020-04-10 20:50

manager   ~0006191

I'm unable to reproduce it, could you please create a sample project and attach it here, maybe I'm missing some configuration option.
stonstad

stonstad

2020-04-14 15:55

reporter   ~0006202

Yes -- it may be a few days but I'll work to get an example of this.
stonstad

stonstad

2020-04-17 18:44

reporter   ~0006222

Here is the associated XAML, SliderControl.xaml.

<UserControl
    x:Class="MBI.CustomerSelect.Unity.UI.SliderControl"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" mc:Ignorable="d"
    x:Name="_SliderControl">

    <Grid Margin="10" Background="{StaticResource BackgroundColor}" VerticalAlignment="Top">
        <Grid.Effect>
            <DropShadowEffect BlurRadius="25" Direction="270" ShadowDepth="6" Opacity="0.6" Color="Black"/>
        </Grid.Effect>
        <StackPanel Orientation="Vertical">
            <Border Background="{DynamicResource Brush.Item.SelectedOver}">
                <StackPanel Orientation="Horizontal" HorizontalAlignment="Center">
                    <TextBlock x:Name="_IconTextBlock" FontFamily="{StaticResource FontAwesome}" FontSize="15" FontWeight="Light" Foreground="#FFFFFFFF" Margin="-20, 0, 0, 0" VerticalAlignment="Center"/>
                    <TextBlock x:Name="_TitleTextBlock" FontSize="16" Margin="4" Foreground="#FFFFFFFF" Text="TITLE"/>
                </StackPanel>
            </Border>
            <Slider x:Name="_Slider" Minimum="0" Maximum="1" Value="1" Width="300" Margin="12"/>
        </StackPanel>
    </Grid>
</UserControl>

I tried moving the shadow to a grid at the same level as the stack panel -- it exhibits the same behavior. For some reason I can't seem to get rid of the shadow on the right side of the UserControl.
stonstad

stonstad

2020-04-23 19:21

reporter   ~0006242

This behavior manifests only when the drop shadow described in https://www.noesisengine.com/bugs/view.php?id=1655 is enabled. This bug can likely be merged with 1655.

Issue History

Date Modified Username Field Change
2020-04-10 18:31 stonstad New Issue
2020-04-10 18:31 stonstad File Added: effect.PNG
2020-04-10 18:31 stonstad File Added: Example.xaml
2020-04-10 20:50 sfernandez Assigned To => sfernandez
2020-04-10 20:50 sfernandez Status new => feedback
2020-04-10 20:50 sfernandez Note Added: 0006191
2020-04-13 16:40 jsantos Target Version => 3.0.0
2020-04-14 15:55 stonstad Note Added: 0006202
2020-04-14 15:55 stonstad Status feedback => assigned
2020-04-17 18:44 stonstad Note Added: 0006222
2020-04-23 19:21 stonstad Note Added: 0006242
2020-04-23 20:22 sfernandez Relationship added related to 0001655
2020-05-25 10:57 jsantos Target Version 3.0.0 => 3.0
2020-06-11 18:29 sfernandez Status assigned => resolved
2020-06-11 18:29 sfernandez Resolution open => fixed
2020-06-11 18:29 sfernandez Product Version 3.0 => 3.0.0
2020-06-11 18:29 sfernandez Fixed in Version => 3.0.2
2020-06-11 18:29 sfernandez Target Version 3.0 => 3.0.2